// 设置env配置文件
import envConfig from '@/env/config.js'
// 全局配置项
import appConfig from '@/config/appConfig.js'
import storageManage from '@/commons/utils/storageManage.js'
import uviewPlus from 'uview-plus'

// 设置node环境
envConfig.changeEnv(storageManage.env())

// #ifndef VUE3

import App from './App'

import Vue from 'vue'
Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
   app.use(uviewPlus)
  app.config.globalProperties.$appName = appConfig.appName
  uni.$appName = appConfig.appName
  return {
    app
  }
}
// #endif